Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0009394 [DCSS] Bug Report minor always 2015-01-11 20:31 2015-02-11 22:49
Reporter Wuzzy View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status resolved   Product Branch 0.15 ancient branch
Summary 0009394: Religion question overwrites religion description text
Description To reproduce this, attempt to join any religion with a long description text, for example, the religion of Zin (the law-giver).

So stay at the altar of Zin and pray to show the “religion screen”. Then hit the exclamation mark key for the long description. Now hit any key and the question “Do you want to join this religion?” should appear.
This question is written on the description, which looks rather clumsy.

This bug also happens for other religions with long texts as well, but since not many religions have long texts, you will not always notice this bug, of course.


I have experienced this bug under GNU/Linux in the console version and in the tiles version as well.
Additional Information
Tags has patch
Attached Files ? file icon Gozag.patch [^] (7,989 bytes) 2015-02-08 11:26 [Show Content]

- Relationships

-  Notes
(0028317)
TAS2012 (reporter)
2015-01-20 14:48

I also noticed this a few days ago, with Zin.
(0028449)
chris (updater)
2015-02-08 11:25

The intention behind positioning the prompt inside the still-visible screen is a good one imo (so players can still see the information there when deciding).

Placing the prompt a couple lines lower would fix the issue with Zin's current wrath description, and placing it sufficiently low will fix it for most gods I suppose.
No matter how the prompt is repositioned however, Gozag Powers will give it a hard time. If you somehow stumble upon a Gozag altar in a game with Snake and Shoals and have found these branches, there's only one free line to use below the end of Powers description and the bottom legend. Attached patch places the prompt such that for a game not finding Lair branches yet, it will squeeze correctly into Gozag Powers screen. It also formats some related Gozag text differently.

Arguments against placing the prompt much lower by default are mostly that if players hit keys that are not Y or n, the subsequent prompts will display pretty badly. Attached patch tweaks that prompt's behavior to consume less newlines per iteration.

And finally, the response to almost-correct player key input has been improved in all prompts requiring uppercase letters.
(0028477)
MarvinPA (developer)
2015-02-11 22:49

Fixed, thanks for the patches.

- Issue History
Date Modified Username Field Change
2015-01-11 20:31 Wuzzy New Issue
2015-01-20 14:48 TAS2012 Note Added: 0028317
2015-01-20 14:48 TAS2012 Issue Monitored: TAS2012
2015-02-08 11:25 chris Note Added: 0028449
2015-02-08 11:26 chris File Added: Gozag.patch
2015-02-08 13:00 MarvinPA Issue Monitored: MarvinPA
2015-02-08 19:20 wheals Tag Attached: patch
2015-02-08 19:21 wheals Tag Detached: patch
2015-02-08 19:21 wheals Tag Attached: has patch
2015-02-11 21:07 MarvinPA Issue End Monitor: MarvinPA
2015-02-11 22:49 MarvinPA Note Added: 0028477
2015-02-11 22:49 MarvinPA Status new => resolved
2015-02-11 22:49 MarvinPA Fixed in Branch => 0.16 development branch
2015-02-11 22:49 MarvinPA Resolution open => done
2015-02-11 22:49 MarvinPA Assigned To => MarvinPA


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker